Bug 210034 - deskutils/charmap: UNBREAK, make fetchable with new distfile mirror
Summary: deskutils/charmap: UNBREAK, make fetchable with new distfile mirror
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-06-04 19:55 UTC by lightside
Modified: 2016-06-18 05:16 UTC (History)
2 users (show)

See Also:
riggs: merge-quarterly+


Attachments
Proposed patch (since 416324 revision) (534 bytes, patch)
2016-06-04 19:55 UTC, lightside
vlad-fbsd: maintainer-approval+
Details | Diff
Proposed patch (since 416324 revision) (732 bytes, patch)
2016-06-07 14:29 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10.2 amd64) (44.15 KB, text/plain)
2016-06-07 14:39 UTC, lightside
no flags Details
Proposed patch (since 416324 revision) (732 bytes, patch)
2016-06-07 14:55 UTC, lightside
vlad-fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2016-06-04 19:55:10 UTC
Created attachment 171024 [details]
Proposed patch (since 416324 revision)

Patch to update a mirror for distfile of deskutils/charmap port.

% curl -sLI http://www.sourcefiles.org/Utilities/GUI/charmap-0.2.tar.gz
HTTP/1.1 200 OK
Date: Sat, 04 Jun 2016 13:49:25 GMT
Server: Apache/2.2.3 (Fedora)
Last-Modified: Sun, 18 Mar 2007 02:02:13 GMT
ETag: "188fc9-2c919-dc76f340"
Accept-Ranges: bytes
Content-Length: 182553
Connection: close
Content-Type: application/x-gzip
Comment 1 VK freebsd_triage 2016-06-07 12:34:03 UTC
Comment on attachment 171024 [details]
Proposed patch (since 416324 revision)

The port has no maintainer, implicit approval.
Comment 2 VK freebsd_triage 2016-06-07 12:35:22 UTC
lightside, thanks for the patch. Please confirm this builds fine, as that confirmation both covers building and implicitly unbreaking, where curl test only confirms the distfile is there.
Comment 3 lightside 2016-06-07 14:29:38 UTC
Created attachment 171147 [details]
Proposed patch (since 416324 revision)

(In reply to Vladimir Krstulja from comment #2)
> Please confirm this builds fine
Yes, the port builds fine. I tested in on FreeBSD 10.2 amd64 before PR submit.
But `make check-plist` command result contains following warnings, related to latest stage-qa changes (ports r415827):
-8<--
====> Running Q/A tests (stage-qa)
Error: /usr/local/GNUstep/System/Applications/Charmap.app/Charmap is linked to /usr/local/GNUstep/System/Library/Libraries/libgnustep-gui.so.0.24 from x11-toolkits/gnustep-gui but it is not declared as a dependency
Warning: you need USES+=gnustep and USE_GNUSTEP+=gui
Error: /usr/local/GNUstep/System/Applications/Charmap.app/Charmap is linked to /usr/local/GNUstep/System/Library/Libraries/libgnustep-base.so.1.24 from lang/gnustep-base but it is not declared as a dependency
Warning: you need USES+=gnustep and USE_GNUSTEP+=base
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
-->8-

Therefore, the complete patch attached with following changes:
- Bump PORTREVISION
- Update mirror for MASTER_SITES
- Unbreak fetch
- Add gui and base to USE_GNUSTEP
Comment 4 lightside 2016-06-07 14:30:12 UTC
The poudriere testport log will be added when available.
Comment 5 lightside 2016-06-07 14:39:03 UTC
Created attachment 171148 [details]
The poudriere testport log (FreeBSD 10.2 amd64)
Comment 6 lightside 2016-06-07 14:42:52 UTC
Comment on attachment 171147 [details]
Proposed patch (since 416324 revision)

Vladimir Krstulja, please check the patch again.
Comment 7 lightside 2016-06-07 14:55:46 UTC
Created attachment 171149 [details]
Proposed patch (since 416324 revision)

Sorted USE_GNUSTEP value(s).
Comment 8 VK freebsd_triage 2016-06-07 16:48:43 UTC
Comment on attachment 171149 [details]
Proposed patch (since 416324 revision)

The port has no maintainer, implicit approval.
Comment 9 commit-hook freebsd_committer 2016-06-18 04:53:07 UTC
A commit references this bug:

Author: riggs
Date: Sat Jun 18 04:52:27 UTC 2016
New revision: 417045
URL: https://svnweb.freebsd.org/changeset/ports/417045

Log:
  Unbreak build, distfile is available at different location

  PR:		210034
  Submitted by:	lightside@gmx.com
  MFH:		2016Q2 (ports-secteam build fix blanket)

Changes:
  head/deskutils/charmap/Makefile
Comment 10 commit-hook freebsd_committer 2016-06-18 05:01:09 UTC
A commit references this bug:

Author: riggs
Date: Sat Jun 18 05:00:49 UTC 2016
New revision: 417046
URL: https://svnweb.freebsd.org/changeset/ports/417046

Log:
  MFH: r417045

  Unbreak build, distfile is available at different location

  PR:		210034
  Submitted by:	lightside@gmx.com

  Approved by:	ports-secteam (build fix blanket)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/deskutils/charmap/Makefile